import request from '@/utils/request'

// 查询客服列表列表
export function listCustomerStaff(query) {
  return request({
    url: '/service/customerStaff/list',
    method: 'get',
    params: query
  })
}

// 查询客服列表详细
export function getCustomerStaff(id) {
  return request({
    url: '/service/customerStaff/' + id,
    method: 'get'
  })
}

// 新增客服列表
export function addCustomerStaff(data) {
  return request({
    url: '/service/customerStaff',
    method: 'post',
    data: data
  })
}

// 修改客服列表
export function updateCustomerStaff(data) {
  return request({
    url: '/service/customerStaff',
    method: 'put',
    data: data
  })
}

// 删除客服列表
export function delCustomerStaff(id) {
  return request({
    url: '/service/customerStaff/' + id,
    method: 'delete'
  })
}
